X
Tap here to go to the mobile version of the site.

Support Forum

Hello User's, We have developed an add on for our website , but is only support mozilla browser 55, we want it to support all upgraded browser. Suggestion's??

Posted

We have developed and add on for our website but it did not get installed and support Mozilla upgraded browser. It gives us error as it is corrupted . It only support Mozilla version 55 , onward version's it did not support. We want add on to be browser free. Means it should work for all Mozilla version's. Need your help to understand it better that why it did not support upgraded version's and how we can implement this.

We have developed and add on for our website but it did not get installed and support Mozilla upgraded browser. It gives us error as it is corrupted . It only support Mozilla version 55 , onward version's it did not support. We want add on to be browser free. Means it should work for all Mozilla version's. Need your help to understand it better that why it did not support upgraded version's and how we can implement this.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 32.0 r0

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:66.0) Gecko/20100101 Firefox/66.0

More Information

jscher2000
  • Top 10 Contributor
8758 solutions 71658 answers

Hi, the Add-ons team has a forum where you could ask about what happened. Possibly it will need to be re-signed; I think the key changed at some point.

https://discourse.mozilla.org/c/add-ons

Hi, the Add-ons team has a forum where you could ask about what happened. Possibly it will need to be re-signed; I think the key changed at some point. https://discourse.mozilla.org/c/add-ons

Question owner

jscher2000 said

Hi, the Add-ons team has a forum where you could ask about what happened. Possibly it will need to be re-signed; I think the key changed at some point. https://discourse.mozilla.org/c/add-ons

Hello sir , Add on we are using is currently working with version 55 for mozilla , but for upgraded version it is not working. I havfe read article that add on is no more supportable since 5 sept 2018 , if considered that how can in convert add on to web extension.

''jscher2000 [[#answer-1212964|said]]'' <blockquote> Hi, the Add-ons team has a forum where you could ask about what happened. Possibly it will need to be re-signed; I think the key changed at some point. https://discourse.mozilla.org/c/add-ons </blockquote> Hello sir , Add on we are using is currently working with version 55 for mozilla , but for upgraded version it is not working. I havfe read article that add on is no more supportable since 5 sept 2018 , if considered that how can in convert add on to web extension.
TyDraniu
  • Top 25 Contributor
319 solutions 1832 answers

Hi, here's the doc on how to rewrite your extension to actual format: Porting a legacy Firefox extension.

Hi, here's the doc on how to rewrite your extension to actual format: [https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/Porting_a_legacy_Firefox_add-on Porting a legacy Firefox extension].